%global commit 1e97019e55daff0053b00319a6cc2a7ebda4fdae
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20240803

Name:           liferea-plugin-studio
Epoch:          1
Version:        0.1
Release:        1.git%{gitdate}%{?dist}
Summary:        Collection of liferea plugins


License:        AGPL-3.0-only
URL:            https://github.com/mozbugbox/liferea-plugin-studio
Source0:        https://github.com/mozbugbox/liferea-plugin-studio/archive/%{commit}/%{name}-%{shortcommit}.tar.gz 
BuildArch:      noarch
Requires:       liferea >= 1.12.3

%description
Collection of liferea plugins

Plugins
Depends on adblockparser.py. This could be quite slow with large block list. Don't use this plugin on slow machine.
Shades: Substitute bright/white background colors with a darker background color in Web view.
WebKitSetting: Access settings of WebKit environment.
Accels: Edit accelarators/shortcuts for Liferea actions.
Extra Actions: Add some extra user actions which can be bind to shorcut keys using Accels plugin.
Search Better: Tweak the search on feedlist and itemlist treeview.
Search PinYin: Use PinYin to search in feedlist and itemlist treeview.
MobileMode: Helper plugin for using Liferea on mobile phones.

%prep
%autosetup -n %{name}-%{commit} 

%build

%install
%{__mkdir_p} %{buildroot}%{_libdir}/liferea/plugins/
install -D accels/* %{buildroot}%{_libdir}/liferea/plugins/
install -D extra-actions/* %{buildroot}%{_libdir}/liferea/plugins/
install -D mobile-mode/* %{buildroot}%{_libdir}/liferea/plugins/
install -D search-better/* %{buildroot}%{_libdir}/liferea/plugins/
install -D search-pinyin/* %{buildroot}%{_libdir}/liferea/plugins/
install -D shades/* %{buildroot}%{_libdir}/liferea/plugins/
install -D text-item-state/* %{buildroot}%{_libdir}/liferea/plugins/
install -D webkit-setting/* %{buildroot}%{_libdir}/liferea/plugins/

%files
%doc README.md
%license LICENSE
%{_libdir}/liferea/plugins/*


%changelog
* Sat Aug 03 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 0.1-1.git20240803
- text-item-state: get TreeViewColumn attribute column
- Text-item-state: Hide state icon

* Sat Feb 25 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 0.1-1.git20230222
- Initial Fedora Release.
